{ config, ... }:
let
    hasGui = config.services.dbus.implementation == "dbus";
in
{
    imports = [
        ./direnv.nix
        ./java.nix
        ./packages.nix
        ./virt-manager.nix
    ];

    programs.wireshark.enable = hasGui;

    home-manager.sharedModules = [
        ./home
    ];
}